Skip to main content
PATCH
/
v1
/
checkout_fees
/
{id}
Update
curl --request PATCH \
  --url https://{defaultHost}/v1/checkout_fees/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "checkout_fee": {
    "amount": 25
  }
}
'
import requests

url = "https://{defaultHost}/v1/checkout_fees/{id}"

payload = { "checkout_fee": { "amount": 25 } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({checkout_fee: {amount: 25}})
};

fetch('https://{defaultHost}/v1/checkout_fees/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "581ca8a7-ee79-4abd-bf15-a75d412495de",
  "object": "checkout_fee",
  "amount": 25,
  "description": "IncredibleDiscount190167",
  "fee_type": "manual",
  "checkout": "20024dfe-274f-4ff4-8a02-e4fda8dd7164",
  "created_at": 1782485812,
  "updated_at": 1782485812
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/json
checkout_fee
object

Response

200 - application/json

Success

id
string | null

The UUID of the specific object.

object
string

A string describing the object type returned.

amount
integer

The amount in cents to be added or subtracted, represented as an integer. For example 9900 is equivalent to $99.

description
string

A short description of the checkout fee.

fee_type
string

The type of checkout_fee – one of auto or manual.

checkout

Expandable – The associated checkout ID.

created_at
integer | null

Time at which the object was created. Measured in seconds since the Unix epoch.

updated_at
integer | null

Time at which the object was last updated. Measured in seconds since the Unix epoch.